Bug 434063 - pikdev failed massrebuild attempt for GCC 4.3
pikdev failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pikdev (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alain Portal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43rebuildfail
  Show dependency treegraph
 
Reported: 2008-02-22 08:01 EST by Jesse Keating
Modified: 2013-01-09 21:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-02 10:05:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 08:01:04 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=438292
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Tyler Owen 2008-02-24 11:02:44 EST
+ . /etc/profile.d/qt.sh
/var/tmp/rpm-tmp.85757: line 32: /etc/profile.d/qt.sh: No such file or directory
Comment 2 Kevin Kofler 2008-03-12 09:34:11 EDT
https://koji.fedoraproject.org/koji/taskinfo?taskID=512770

After changing the BR kdelibs-devel to kdelibs3-devel, now fails with:
pkp.cc: In member function 'int prog::read_config()':
pkp.cc:85: error: 'strcpy' was not declared in this scope
pkp.cc:96: error: 'strcat' was not declared in this scope
This is missing #include <string.h> or #include <cstring> with using 
std::strcpy; and using std::strcat;.
Comment 3 Rex Dieter 2008-04-02 09:54:42 EDT
Looking at it.
Comment 4 Rex Dieter 2008-04-02 10:05:26 EDT
OK, whipped up a gcc43 patch, committing to rawhide.

Note You need to log in before you can comment on or make changes to this bug.